/*
The software in this package is distributed under the GNU General
Public License version 2 (with a special exception described below).

A copy of GNU General Public License (GPL) is included in this distribution,
in the file COPYING.GPL.

As a special exception, if other files instantiate templates or use macros
or inline functions from this file, or you compile this file and link it
with other works to produce a work based on this file, this file
does not by itself cause the resulting work to be covered
by the GNU General Public License.

However the source code for this file must still be made available
in accordance with section (3) of the GNU General Public License.

This exception does not invalidate any other reasons why a work based
on this file might be covered by the GNU General Public License.
*/
/***************************************************************************
                          i18n.h  -  description
                             -------------------
    begin                : Wed Apr 25 2001
    copyright            : (C) 2001-2004 by Intra2net AG
 ***************************************************************************/

#ifndef intranator_i18n_H
#define intranator_i18n_H

#include <libintl.h>
#include <string>
#include <vector>

#define i18n(String) gettext(String)
#define i18n_noop(String) (String)

void i18n_init(const std::string& domain, const std::string& path=".");
void i18n_set_language(const std::string &lang="");
std::string i18n_get_current_language(void);
std::string i18n_get_default_language(void);

void i18n_get_string (const char *source, std::string &target, const std::vector<std::string> &data);
void i18n_get_string (const std::string &source, std::string &target, const std::vector<std::string> &data);

std::string i18n_get_string (const char *source, const std::vector<std::string> &data);
std::string i18n_get_string (const std::string &source, const std::vector<std::string> &data);

std::string i18n_locale2language(const std::string locale);

#endif
